/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.esr.common.rule.service;

import gov.va.med.fw.validation.ValidationMessages;
import gov.va.med.fw.validation.ValidationServiceException;

/**
 * Created Jul 31, 2006 2:52:13 PM
 * @author DNS   BOHMEG
 */
public class ConsistencyCheckException extends ValidationServiceException {
	/**
    * An instance of serialVersionUID 
    */
   private static final long serialVersionUID = -1333441267560382136L;
   private boolean blocking  = false;
	public ConsistencyCheckException(String message) {
		super(message);
	}
	
	public ConsistencyCheckException(ValidationMessages msgs) {
		super(msgs);
	}

	/**
	 * @return Returns the blocking.
	 */
	public boolean isBlocking() {
		return blocking;
	}

	/**
	 * @param blocking The blocking to set.
	 */
	public void setBlocking(boolean blocking) {
		this.blocking = blocking;
	}
	
}
